org.keycloak.dom.saml.v2.assertion

## Class AuthnStatementType

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.StatementAbstractType
  - - org.keycloak.dom.saml.v2.assertion.AuthnStatementType

- All Implemented Interfaces:
    Serializable

      public class AuthnStatementType
      extends StatementAbstractType

  Java class for AuthnStatementType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthnStatementType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:assertion}StatementAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}SubjectLocality" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContext"/>
             </sequence>
             <attribute name="AuthnInstant" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="SessionIndex" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="SessionNotOnOrAfter" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AuthnContextType` | `authnContext`
    `protected XMLGregorianCalendar` | `authnInstant`
    `protected String` | `sessionIndex`
    `protected XMLGregorianCalendar` | `sessionNotOnOrAfter`
    `protected SubjectLocalityType` | `subjectLocality`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthnStatementType(XMLGregorianCalendar instant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthnContextType` | `getAuthnContext()` Gets the value of the authnContext property.
    `XMLGregorianCalendar` | `getAuthnInstant()` Gets the value of the authnInstant property.
    `String` | `getSessionIndex()` Gets the value of the sessionIndex property.
    `XMLGregorianCalendar` | `getSessionNotOnOrAfter()` Gets the value of the sessionNotOnOrAfter property.
    `SubjectLocalityType` | `getSubjectLocality()` Gets the value of the subjectLocality property.
    `void` | `setAuthnContext(AuthnContextType value)` Sets the value of the authnContext property.
    `void` | `setSessionIndex(String value)` Sets the value of the sessionIndex property.
    `void` | `setSessionNotOnOrAfter(XMLGregorianCalendar value)` Sets the value of the sessionNotOnOrAfter property.
    `void` | `setSubjectLocality(SubjectLocalityType value)` Sets the value of the subjectLocality property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### subjectLocality

          protected SubjectLocalityType subjectLocality

    - #### authnContext

          protected AuthnContextType authnContext

    - #### authnInstant

          protected XMLGregorianCalendar authnInstant

    - #### sessionNotOnOrAfter

          protected XMLGregorianCalendar sessionNotOnOrAfter

    - #### sessionIndex

          protected String sessionIndex

  - ### Constructor Detail

    - #### AuthnStatementType

          public AuthnStatementType(XMLGregorianCalendar instant)

  - ### Method Detail

    - #### getSubjectLocality

          public SubjectLocalityType getSubjectLocality()

      Gets the value of the subjectLocality property.
      Returns:
        possible object is `SubjectLocalityType`

    - #### setSubjectLocality

          public void setSubjectLocality(SubjectLocalityType value)

      Sets the value of the subjectLocality property.
      Parameters:
        `value` - allowed object is `SubjectLocalityType`

    - #### getAuthnContext

          public AuthnContextType getAuthnContext()

      Gets the value of the authnContext property.
      Returns:
        possible object is `AuthnContextType`

    - #### setAuthnContext

          public void setAuthnContext(AuthnContextType value)

      Sets the value of the authnContext property.
      Parameters:
        `value` - allowed object is `AuthnContextType`

    - #### getAuthnInstant

          public XMLGregorianCalendar getAuthnInstant()

      Gets the value of the authnInstant property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### getSessionIndex

          public String getSessionIndex()

      Gets the value of the sessionIndex property.
      Returns:
        possible object is `String`

    - #### setSessionIndex

          public void setSessionIndex(String value)

      Sets the value of the sessionIndex property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSessionNotOnOrAfter

          public XMLGregorianCalendar getSessionNotOnOrAfter()

      Gets the value of the sessionNotOnOrAfter property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setSessionNotOnOrAfter

          public void setSessionNotOnOrAfter(XMLGregorianCalendar value)

      Sets the value of the sessionNotOnOrAfter property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

Copyright © 2020 JBoss by Red Hat. All rights reserved.